%define module_version 0.57
%define module_name CatalystX-CRUD
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(Catalyst/ClassData.pm) perl(Catalyst/Component/ACCEPT_CONTEXT.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Exception.pm) perl(Catalyst/Runtime.pm) perl(Catalyst/Test.pm) perl(Catalyst/Utils.pm) perl(Class/Accessor/Fast.pm) perl(Data/Dump.pm) perl(Data/Pageset.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(MRO/Compat.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/Emulate/Class/Accessor/Fast.pm) perl(Path/Class.pm) perl(Path/Class/File.pm) perl(Search/QueryParser/SQL.pm) perl(Sort/SQL.pm) perl(Test/More.pm) perl(Try/Tiny.pm) perl(base.pm) perl(mro.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.57
Release: alt1
Summary: CRUD framework for Catalyst applications
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/K/KA/KARMAN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This document is an overview of the CatalystX::CRUD framework and API.

CatalystX::CRUD provides a simple and generic API for Catalyst CRUD applications.
CatalystX::CRUD is agnostic with regard to data model and data input,
instead providing a common API that different projects can implement for
greater compatability with one another.

The project was born out of a desire to make Rose::HTML::Objects easy to use
with Rose::DB::Object and DBIx::Class ORMs, using the Catalyst::Controller::Rose
project. However, any ORM could implement the CatalystX::CRUD::Model API,
and any form management project could use the resulting CatalystX::CRUD::Model
subclass.


%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/C*

%changelog
* Tue Dec 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.57-alt1
- regenerated from template by package builder

* Thu Mar 06 2014 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1
- initial import by package builder

